Package org.drinkless.tdlib

# Class TdApi.SearchPublicStoriesByTag

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.FoundStories>
org.drinkless.tdlib.TdApi.SearchPublicStoriesByTag

Enclosing class:
  `TdApi`

public static class TdApi.SearchPublicStoriesByTag extends TdApi.Function<TdApi.FoundStories>
Searches for public stories containing the given hashtag or cashtag. For optimal performance, the number of returned stories is chosen by TDLib and can be smaller than the specified limit.

Returns `FoundStories`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `limit`
  The maximum number of stories to be returned; up to 100.
  `String`
  `offset`
  Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
  `long`
  `storyPosterChatId`
  Identifier of the chat that posted the stories to search for; pass 0 to search stories in all chats.
  `String`
  `tag`
  Hashtag or cashtag to search for.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchPublicStoriesByTag()`
  Default constructor for a function, which searches for public stories containing the given hashtag or cashtag.
  `SearchPublicStoriesByTag(long storyPosterChatId, String tag, String offset, int limit)`
  Creates a function, which searches for public stories containing the given hashtag or cashtag.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### storyPosterChatId

    public long storyPosterChatId
    Identifier of the chat that posted the stories to search for; pass 0 to search stories in all chats.

  - ### tag

    public String tag
    Hashtag or cashtag to search for.

  - ### offset

    public String offset
    Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.

  - ### limit

    public int limit
    The maximum number of stories to be returned; up to 100. For optimal performance, the number of returned stories is chosen by TDLib and can be smaller than the specified limit.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SearchPublicStoriesByTag

    public SearchPublicStoriesByTag()
    Default constructor for a function, which searches for public stories containing the given hashtag or cashtag. For optimal performance, the number of returned stories is chosen by TDLib and can be smaller than the specified limit.

    Returns `FoundStories`

  - ### SearchPublicStoriesByTag

    public SearchPublicStoriesByTag(long storyPosterChatId, String tag, String offset, int limit)
    Creates a function, which searches for public stories containing the given hashtag or cashtag. For optimal performance, the number of returned stories is chosen by TDLib and can be smaller than the specified limit.

    Returns `FoundStories`

    Parameters:
      `storyPosterChatId` - Identifier of the chat that posted the stories to search for; pass 0 to search stories in all chats.
      `tag` - Hashtag or cashtag to search for.
      `offset` - Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
      `limit` - The maximum number of stories to be returned; up to 100. For optimal performance, the number of returned stories is chosen by TDLib and can be smaller than the specified limit.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.FoundStories>`
    Returns:
      this.CONSTRUCTOR